/*
**
**	lua_binding_lib.c
**
**	Used on Lua5 to PalmOS Port, by Jos Machado
**
**	Intended to bind some useful functions to Lua
**	
**
*/
#include <PalmOS.h>
#include "lua5_rsc.h"   // resources
#include "debug_lib.h"  // internal debug lib
#include "lua.h"
#include "lualib.h"
#include "lauxlib.h"

#include "lua_binding_lib.h"




static int lua_F__ALERT (lua_State *L) {
	const char * sMsg = luaL_checkstring(L,1);
	
	alert(sMsg);

	return 0;
}







static const luaL_reg custom_useful_funcs[] = {
  {"_ALERT", lua_F__ALERT},
  {NULL, NULL}
};


extern void luaopen_lua5util (lua_State *L) {

	lua_pushliteral(L, "_G");
	lua_pushvalue(L, LUA_GLOBALSINDEX);
	luaL_openlib(L, NULL, custom_useful_funcs, 0);  /* open lib into global table */

}
